%define name kmag
%define version 0.8
%define release 3mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:  	Kde Magnifier
Group: 		Graphical desktop/KDE
Url:		http://kmag.sourceforge.net
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
Patch0:		kmag-fix-gcc-3.2-compile.patch.bz2

Buildroot: 	%_tmppath/%{name}-%{version}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake arts autoconf diffutils kdelibs file
BuildRequires:  m4 texinfo gettext libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:  db1 freetype2 libjpeg62 libmng1 libpng3 libqt3 libqt3-devel rpm-build

Obsoletes:		kde3-kmag
Provides:		kde3-kmag

%description
K magnifier 0.8 is a magnifier for KDE easy to use and useful for
people with very bad sight.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}
%patch0 -p1

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
		   			--enable-mt \
					--with-qt-dir=/usr/lib/qt3 \
	               	--disable-rpath \
		       		--disable-debug

%make

%install
make DESTDIR=%buildroot install

install -d $RPM_BUILD_ROOT%_menudir

kdedesktop2mdkmenu.pl kmag "Applications/Accessibility" %buildroot/%_datadir/applnk/Applications/Accessibility/kmag.desktop %buildroot/%_menudir/kmag


%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus

%postun 
%clean_menus

%files 
%defattr(-,root,root)
%_bindir/*
%_menudir/*
#
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png 
%_datadir/icons/hicolor/16x16/apps/*.png
#
%_datadir/applnk/Applications/Accessibility/*.desktop 
#
%dir %_datadir/apps/kmag/
%_datadir/apps/kmag/*.rc
#
#%doc %_docdir/HTML/en/*.docbook
%doc %_docdir/HTML/en/kmag/*.docbook*
%doc %_docdir/HTML/en/kmag/common
%doc %_docdir/HTML/en/kmag/index.cache.bz2
%doc %_docdir/HTML/en/kmag/images/screenshot.png
%doc %_docdir/kmag

%changelog
* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-3mdk
- Rebuild 

* Sat Dec 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8-2mdk
- fix unpackaged files

* Sat Aug 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- Update code
- Add patch0 fix compile with gcc-3.2
- Obsolete kde3-kmag

* Tue Feb 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- update code

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Make rpmlint happy
- Add missing files

* Sun Nov 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- Update code (0.6)

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-2mdk
- Rebuild against libpng3

* Wed Sep 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- update code (0.5)

* Wed Aug 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3-6mdk
- rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.3-5mdk
- Move KDE menu entriy in %%_datadir/applnk
- Fix and use optimizations
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Fri Mar 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-4mdk
- Fix typo in menu entry

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-3mdk
- Add build requires

* Tue Mar 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- REbuild with qt-2.3

* Sat Feb 24 2001 Daouda Lo <daouda@mandrakesoft.com> 0.3-1mdk
- first mdk package 
